org.eclipse.viatra.query.patternlanguage.emf.validation.whitelist

## Class PureWhitelist

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.validation.whitelist.PureWhitelist

-     public class PureWhitelist
      extends java.lang.Object

  A whitelist that contains pure elements.
  Since:
    2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PureWhitelist.PureElement` Declares that a method is pure or all methods in a class or package are pure.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PureWhitelist()`
    `PureWhitelist(boolean loadExtensions)` If loadExtensions is false, instead of loading the list of known extensions start with an empty whitelist
    `PureWhitelist(IPureWhitelistExtensionProvider extensionProvider, org.apache.log4j.Logger logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(PureWhitelist.PureElement pureElement)`
    `boolean` | `contains(org.eclipse.xtext.common.types.JvmOperation jvmOperation)`
    `void` | `loadKnownExtensions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PureWhitelist

          public PureWhitelist()

    - #### PureWhitelist

          public PureWhitelist(boolean loadExtensions)

      If loadExtensions is false, instead of loading the list of known extensions start with an empty whitelist

    - #### PureWhitelist

          @Inject
          public PureWhitelist(IPureWhitelistExtensionProvider extensionProvider,
                                       org.apache.log4j.Logger logger)

  - ### Method Detail

    - #### contains

          public boolean contains(org.eclipse.xtext.common.types.JvmOperation jvmOperation)

    - #### add

          public void add(PureWhitelist.PureElement pureElement)

    - #### loadKnownExtensions

          public void loadKnownExtensions()